=== debian/changelog ===
lua-system (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #815489)

 -- Jason Pleau <jason@jpleau.ca>  Tue, 08 Mar 2016 21:50:40 -0500
