=== debian/control ===
Source: lua-system
Section: interpreters
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9), dh-lua
Standards-Version: 3.9.7
Homepage: https://github.com/o-lim/luasystem/
Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git

Package: lua-system
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: platform independent system call library for Lua 
 luasystem is a platform independent system call library for Lua.
 .
 Currently the following functions are supported:
 .
  * gettime
  * sleep

Package: lua-system-dev
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: lua-system (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: development files for lua-system
 This package provide the static library for lua-system
