=== debian/changelog ===
lua-system (0.1.1-1) unstable; urgency=medium

  * New upstream release
    + Remove fix_unreliable_test.patch: merged upstream
  * Update Standards-Version to 3.9.8, no changes needed

 -- Jason Pleau <jason@jpleau.ca>  Tue, 03 May 2016 20:40:44 -0400
