=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
 Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/o-lim/luasystem/
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git
