=== debian/changelog ===
lua-system (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.3, no changes needed
  * Enable tests: add lua-busted as a Build-Dep

 -- Jason Pleau <jason@jpleau.ca>  Sat, 10 Feb 2018 10:21:06 -0500
