=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: interpreters
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), dh-lua, lua-busted
+Standards-Version: 4.1.3
 Homepage: https://github.com/o-lim/luasystem/
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git
