=== debian/watch ===
version=3
opts=uversionmangle=s/\.(RC|rc|pre|dev|beta|alpha)/~$1/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-system-$1\.tar\.gz/ \
https://github.com/o-lim/luasystem/tags .*/v?(\d\S*)\.tar\.gz
