## lua-system 0.4.5

=== Makefile ===
--- 
+++ 
@@ -45,3 +45,13 @@
 	@cd src && $(MAKE) install LUA_VERSION=5.3
 
 .PHONY: test
+test:
+	busted
+
+.PHONY: lint
+lint:
+	luacheck .
+
+.PHONY: docs
+docs:
+	ldoc .
