=== src/Makefile ===
--- 
+++ 
@@ -85,7 +85,7 @@
 CDIR_win32?=bin/lua/$(LUA_VERSION)/$(PLATFORM_win32)
 LDIR_win32?=bin/lua/$(LUA_VERSION)/$(PLATFORM_win32)/lua
 LUALIB_win32?=$(LUAPREFIX_win32)/lib/lua/$(LUA_VERSION)/$(PLATFORM_win32)
-LUALIBNAME_win32?=lua$(subst .,,$(LUA_VERSION)).lib 
+LUALIBNAME_win32?=lua$(subst .,,$(LUA_VERSION)).lib
 
 
 # prefix: /usr/local /usr /opt/local /sw
@@ -217,7 +217,7 @@
 #------
 # Objects
 #
-OBJS=core.$(O) compat.$(O) time.$(O)
+OBJS=bitflags.$(O) compat.$(O) core.$(O) environment.$(O) random.$(O) term.$(O) time.$(O) wcwidth.$(O)
 
 #------
 # Targets
