=== debian/changelog ===
lua-system (0.4.5-1) unstable; urgency=medium

  * debian: wrap-and-sort -sat
  * Update watch file format version to 4.
  * Set upstream metadata fields: Repository-Browse.
  * switch to upstream lunarmodules/luasystem (Closes: #1095894)
  * New upstream version 0.4.5
  * debian: dh-lua.conf: add all new c files
  * debian/copyright: update
  * skip manual tests

 -- Victor Seva <vseva@debian.org>  Sat, 22 Feb 2025 20:06:53 +0100

lua-system (0.2.1-6) unstable; urgency=medium

  * add needed versions that support Lua5.4 tests

 -- Victor Seva <vseva@debian.org>  Thu, 03 Mar 2022 12:09:52 +0100

lua-system (0.2.1-5) unstable; urgency=medium

  * source upload to allow migration

 -- Victor Seva <vseva@debian.org>  Tue, 18 Jan 2022 10:17:27 +0100

lua-system (0.2.1-4) unstable; urgency=medium

  * binary upload (Closes: #1002767)

 -- Victor Seva <vseva@debian.org>  Tue, 11 Jan 2022 10:23:33 +0100

lua-system (0.2.1-3) unstable; urgency=medium

  [ Kim Alvefur ]
  * Enable Lua 5.4 support

  [ Victor Seva ]
  * Lua team as maintainer, added me as uploader

 -- Victor Seva <vseva@debian.org>  Mon, 20 Dec 2021 12:01:17 +0100

lua-system (0.2.1-2) unstable; urgency=medium

  * Team upload.
  * Set Rules-Requires-Root=no
  * Annotate lua-busted Build-Depends with <!nocheck> profile.  Thanks to
    Helmut Grohne for the report.  (Closes: #928664)
  * Build-Depend on debhelper-compat (= 13)
  * Change Vcs-* URLs to Salsa
  * Declare compliance with Policy 4.5.1

 -- James McCoy <jamessan@debian.org>  Mon, 30 Nov 2020 23:28:42 -0500
