## lua-system 0.5.1

=== src/Makefile ===
--- 
+++ 
@@ -16,6 +16,9 @@
 endif
 ifeq ($(UNAME_S),FreeBSD)
     PLAT=freebsd
+endif
+ifeq ($(UNAME_S),OpenBSD)
+    PLAT=openbsd
 endif
 ifeq ($(patsubst MINGW%,MINGW,$(UNAME_S)),MINGW)
     PLAT=mingw
@@ -64,6 +67,13 @@
 CDIR_freebsd?=lib/lua/$(LUA_VERSION)
 LDIR_freebsd?=share/lua/$(LUA_VERSION)
 
+# LUAINC_openbsd:
+LUAINC_openbsd_base?=/usr/local/include
+LUAINC_openbsd?=$(LUAINC_openbsd_base)/lua-$(LUA_VERSION)
+LUAPREFIX_openbsd?=/usr/local/
+CDIR_openbsd?=lib/lua/$(LUA_VERSION)
+LDIR_openbsd?=share/lua/$(LUA_VERSION)
+
 # where lua headers are found for mingw builds
 # LUAINC_mingw:
 # /opt/local/include
@@ -159,6 +169,18 @@
 	-Wimplicit -O2 -ggdb3 -fpic -fvisibility=hidden
 LDFLAGS_freebsd=-O -shared -fpic -o
 LD_freebsd=gcc
+
+#------
+# Compiler and linker settings
+# for FreeBSD
+SO_openbsd=so
+O_openbsd=o
+CC_openbsd=clang
+DEF_openbsd=
+CFLAGS_openbsd= -I$(LUAINC) $(DEF) -Wall -Wshadow -Wextra \
+	-Wimplicit -O2 -ggdb3 -fpic -fvisibility=hidden
+LDFLAGS_openbsd=-O -shared -fpic -o
+LD_openbsd=clang
 
 #------
 # Compiler and linker settings
@@ -227,6 +249,9 @@
 freebsd:
 	$(MAKE) all PLAT=freebsd
 
+openbsd:
+	$(MAKE) all PLAT=openbsd
+
 macosx:
 	$(MAKE) all PLAT=macosx
