=== debian/changelog ===
lua-system (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Victor Seva <vseva@debian.org>  Mon, 17 Mar 2025 19:12:55 +0100
