=== debian/changelog ===
lua-system (0.6.3-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support (Closes: #1117971)

 -- Bastian Germann <bage@debian.org>  Tue, 21 Oct 2025 12:46:17 +0200

lua-system (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Victor Seva <vseva@debian.org>  Fri, 12 Sep 2025 09:09:47 +0200
