=== debian/control ===
Source: lua-system
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
 Jason Pleau <jason@jpleau.ca>,
Build-Depends:
 debhelper-compat (= 13),
 dh-lua,
 lua-busted (>= 2.0.0-2) <!nocheck>,
 lua-mediator (>= 1.1.2-0-4) <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/lunarmodules/luasystem/
Vcs-Git: https://salsa.debian.org/lua-team/lua-system.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-system

Package: lua-system
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: platform independent system call library for Lua
 luasystem is a platform independent system call library for Lua.
 .
 Currently the following functions are supported:
 .
  * gettime
  * sleep

Package: lua-system-dev
Section: libdevel
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Architecture: any
Depends:
 lua-system (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: development files for lua-system
 This package provide the static library for lua-system
