=== debian/watch ===
version=4
opts=uversionmangle=s/\.(RC|rc|pre|dev|beta|alpha)/~$1/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-system-$1\.tar\.gz/ https://github.com/lunarmodules/luasystem/tags .*/v?(\d\S*)\.tar\.gz
